# Registry 전용 간소화 매니페스트
name: kakaotalk
version: 1.1.0
display_name: KakaoTalk Plugin
description: Comprehensive KakaoTalk PC automation via Windows API with multi-platform support
short_description: KakaoTalk PC 메시지 전송 자동화

# 저장소 정보
author: pyhub-office-automation
homepage: https://github.com/oa-plugins/kakaotalk
repository: https://github.com/oa-plugins/kakaotalk
documentation: https://github.com/oa-plugins/kakaotalk#readme
issues: https://github.com/oa-plugins/kakaotalk/issues

# 플랫폼별 바이너리
platforms:
  windows-amd64:
    uri: https://github.com/oa-plugins/kakaotalk/releases/download/v1.1.0/kakaotalk-windows-amd64.zip
    sha256: "38a922c6ab4c4fc13919dbc6007bb28ebf0d00ca8aeab933d1dd996142b1d717"
    bin: kakaotalk.exe

  darwin-amd64:
    uri: https://github.com/oa-plugins/kakaotalk/releases/download/v1.1.0/kakaotalk-darwin-amd64.tar.gz
    sha256: "cb39e813c177d1697edfa3bff5cb716806f97c84e0eca8b7fbde86976283a37b"
    bin: kakaotalk

  darwin-arm64:
    uri: https://github.com/oa-plugins/kakaotalk/releases/download/v1.1.0/kakaotalk-darwin-arm64.tar.gz
    sha256: "3d2bb2c9481f6a0172e8554d120260bfb199138215ee1438fa30bb1135f076de"
    bin: kakaotalk

  linux-amd64:
    uri: https://github.com/oa-plugins/kakaotalk/releases/download/v1.1.0/kakaotalk-linux-amd64.tar.gz
    sha256: "07ac78c69b160b12764db4a24e38af0de906907ca7aec3d79a239bebceef1917"
    bin: kakaotalk

  linux-arm64:
    uri: https://github.com/oa-plugins/kakaotalk/releases/download/v1.1.0/kakaotalk-linux-arm64.tar.gz
    sha256: "fb8fdc6a1aed504b3bf29f4ae9f21767f20afc70c17ff590d0f807e3b5e90316"
    bin: kakaotalk

# 메타데이터
pricing:
  tier: free
  price: 0

commands:
  - name: message send
    description: 카카오톡 메시지 전송

tags:
  - kakao
  - messaging
  - windows
  - automation
  - multi-platform

license: MIT

# 최소 요구사항
dependencies:
  core_version: ">=10.0.0"
  external_libs: []
